package cn.com.poc.appbuilder.api.entity;

import java.io.Serializable;
import java.util.List;

/**
 * @Author: Jennie
 * @Description: 千帆AppBuilder 查询用户应用详情响应实体
 * @Date: 2024/8/7 12:00
 */
//@JsonInclude(JsonInclude.Include.NON_NULL)
//@JsonIgnoreProperties(ignoreUnknown = true)
public class BaiduAppBuilderDescribeAppResult extends BaiduAppBuilderCommonErrorResult implements Serializable {

    /**
     * 请求的id
     */
    private String requestId;

    /**
     * 应用id
     */
    private String id;

    /**
     * 应用名称
     */
    private String name;

    /**
     * 应用描述
     */
    private String description;

    /**
     * 用户指令
     */
    private String instruction;

    /**
     * 开场白
     */
    private String prologue;

    /**
     * 推荐问题
     */
    private List<String> exampleQueries;
//
//    /**
//     * 追问
//     */
//    private Map<String, FollowUpQuery> followUpQueries;
//
//    /**
//     * 引用组件列表
//     */
//    private List<Component> components;
//
//    /**
//     * 知识库配置
//     */
//    private KnowledgeBaseConfig knowledgeBaseConfig;
//
//    /**
//     * 模型配置
//     */
//    private ModelConfig modelConfig;

    public String getRequestId() {
        return requestId;
    }

    public void setRequestId(String requestId) {
        this.requestId = requestId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getInstruction() {
        return instruction;
    }

    public void setInstruction(String instruction) {
        this.instruction = instruction;
    }

    public String getPrologue() {
        return prologue;
    }

    public void setPrologue(String prologue) {
        this.prologue = prologue;
    }

    public List<String> getExampleQueries() {
        return exampleQueries;
    }

    public void setExampleQueries(List<String> exampleQueries) {
        this.exampleQueries = exampleQueries;
    }
//
//    public Map<String, FollowUpQuery> getFollowUpQueries() {
//        return followUpQueries;
//    }
//
//    public void setFollowUpQueries(Map<String, FollowUpQuery> followUpQueries) {
//        this.followUpQueries = followUpQueries;
//    }
//
//    public List<Component> getComponents() {
//        return components;
//    }
//
//    public void setComponents(List<Component> components) {
//        this.components = components;
//    }
//
//    public KnowledgeBaseConfig getKnowledgeBaseConfig() {
//        return knowledgeBaseConfig;
//    }
//
//    public void setKnowledgeBaseConfig(KnowledgeBaseConfig knowledgeBaseConfig) {
//        this.knowledgeBaseConfig = knowledgeBaseConfig;
//    }
//
//    public ModelConfig getModelConfig() {
//        return modelConfig;
//    }
//
//    public void setModelConfig(ModelConfig modelConfig) {
//        this.modelConfig = modelConfig;
//    }
}
